1002:95c0 DPM not enabled

Bug #1360393 reported by Joseph Ligier on 2014-08-22
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned

Bug Description

By default, DPM is not enabled while my driver support this :
http://xorg.freedesktop.org/wiki/RadeonFeature/

with this line in /etc/default/grub:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash radeon.dpm=1"

Ubuntu can't boot.

The only way to boot:
GRUB_CMDLINE_LINUX_DEFAULT="radeon.dpm=1"

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
Uname: Linux 3.13.0-34-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.14.1-0ubuntu3.3
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Fri Aug 22 20:08:33 2014
DistUpgraded: 2014-04-12 16:02:15,341 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 4.3.10, 3.13.0-32-generic, x86_64: installed
 virtualbox, 4.3.10, 3.13.0-34-generic, x86_64: installed
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] RV620 PRO [Radeon HD 3470] [1002:95c0] (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:3243]
MachineType: Dell Inc. OptiPlex 760
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-34-generic root=UUID=ac6410aa-2f82-4506-bda9-b330c578d44f ro radeon.dpm=1
SourcePackage: xorg
Symptom: display
UpgradeStatus: Upgraded to trusty on 2014-04-12 (132 days ago)
dmi.bios.date: 04/29/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A03
dmi.board.name: 0M863N
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 15
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA03:bd04/29/2009:svnDellInc.:pnOptiPlex760:pvr:rvnDellInc.:rn0M863N:rvrA01:cvnDellInc.:ct15:cvr:
dmi.product.name: OptiPlex 760
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.2+14.04.20140714-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.1
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Fri Aug 22 18:19:24 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.15.1-0ubuntu2
xserver.video_driver: radeon

Joseph Ligier (joseph-ligier) wrote :
tags: added: bios-outdated-a16
Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Joseph Ligier (joseph-ligier) wrote :

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
A16
08/06/2013

> If you update to this following https://help.ubuntu.com/community/BIOSUpdate does it change anything?

No, there is no output of the command dmesg | grep radeon | grep dpm

Changed in xorg (Ubuntu):
status: Incomplete → New

Joseph Ligier, could you please test for this via http://cdimage.ubuntu.com/daily-live/current/ and advise to the results?

tags: added: latest-bios-a16
removed: bios-outdated-a16
Changed in xorg (Ubuntu):
status: New → Incomplete

Joseph Ligier, could you please test the latest upstream kernel available from the very top line at the top of the page (the release names are irrelevant for testing, and please do not test the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue.

If the test did not allow you to test to the issue (ex. you couldn't boot into the OS) please make a comment in your report about this, and continue to test the next most recent kernel version until you can test to the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags by clicking on the yellow circle with a black pencil icon, next to the word Tags, located at the bottom of the report description:
kernel-fixed-upstream
kernel-fixed-upstream-3.XY-rcZ

Where XY and Z are numbers corresponding to the kernel version.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-3.XY-rcZ

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results.

Thank you for your understanding.

affects: xorg (Ubuntu) → linux (Ubuntu)
tags: added: vivid
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.0.0-rc1
Joseph Ligier (joseph-ligier) wrote :

> please comment on which kernel version specifically you tested

I tested in linux 4.0.0-040000rc1-generic. And there is no output of the command "dmesg | grep radeon | grep dpm"

Joseph Ligier (joseph-ligier) wrote :

I see that:

> in Ubuntu 14.04 DPM is enabled by default for all modern AMD GPU's (HD 4000 through HD 7000 series).

http://askubuntu.com/questions/324733/how-to-enable-the-radeon-dynamic-power-management-feature/326858#326858

and my card is a Radeon HD 3470

Joseph Ligier, the issue you are reporting is an upstream one. Could you please report this problem to them by following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel ?

Please provide a direct URL to your report on https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Driver/Radeon once you have made it so that it may be tracked.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
summary: - Impossible to enable DPM
+ 1002:95c0 DPM not enabled
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.